Robotics Service Bus - Feature #550
Enhancement # 548 (Resolved): Threadless RSB
Selection of Receiving Strategy
09/05/2011 08:28 PM - Anonymous

Status: Resolved Start date: 09/05/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.5
Description
Selection of Receiving Strategy. Right now implemented are:

1. Parallel...

2. Direct...

Default is Parallel... One wants a runtime configuration for this. Maybe this can go into ParticipantConfiguration, cf.
ConnectorFactories.

Associated revisions

Revision e58b1fb0 - 09/06/2011 08:44 AM - J. Moringen
Added a factory for event receiving strategies
refs #548, #550
- src/CMakelLists.txt: added files
src/rsb/eventprocessing/EventReceivingStrategyFactory.h and
src/rsb/eventprocessing/strategies.{h,cpp}
- src/rsb/Factory.cpp: register event sending/receiving strategies in
factory constructor
- src/rsb/eventprocessing/DirectEventReceivingStrategy.{h,cpp}: added
static create method to support factory construction
- src/rsb/eventprocessing/ParallelEventReceivingStrategy.{h,cpp}:
likewise; removed unnecessary constructor
- src/rsb/eventprocessing/EventReceivingStrategyFactory.h: new file;
contains a factory for event receiving strategies
- src/rsb/eventprocessing/strategies.{h,cpp}: new files; contain

registration of event sending/receiving strategies

Revision 34e3b2cb - 09/06/2011 09:08 AM - J. Moringen
Cleanup, more configuration for DirectEventReceivingStrategy
refs #548, #550
- src/rsb/eventprocessing/DirectEventReceivingStrategy.{h,cpp}: added
singlethreaded construct property to static create method;
eliminated code duplication in filter and handle methods; fixed and
extended documentation comment of DirectEventReceivingStrategy class

Revision a3a18fc0 - 09/06/2011 12:06 PM - J. Moringen
Made event receiving strategy fully configurable
refs #548, #550
- src/rsb/ParticipantConfig.{h,cpp}: added
nested class ParticipantConfig::EventProcessingStrategy and members
event{Receiving,Sending}Strategy
- src/rsb/Listener.{h,cpp}: pass received ParticipantConfig object to
configurator

- src/rsb/Reader.cpp: likewise

- src/rsb/eventprocessing/InRouteConfigurator.{h,cpp}: added config
parameter to constructor; store event receiving strategy
configuration for use by derived classes

- src/rsb/eventprocessing/PullinRouteConfigurator.{h,cpp}: added
config parameter to constructor; pass to base class

- src/rsb/eventprocessing/PushinRouteConfigurator.{h,cpp}: likewise;
use stored event receiving strategy configuration in
createEventReceivingStrategy

History

#1 - 09/05/2011 08:30 PM - Anonymous
- Parent task set to #548

#2 - 09/06/2011 12:28 PM - J. Moringen
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

#3 - 10/27/2011 08:12 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
